Name:          mojo-keytool
Version:       1.5
Release:       4%{?dist}
Summary:       Tools to invoke the keytool program bundled with Java SDK
License:       ASL 2.0
URL:           http://www.mojohaus.org/keytool/
Source0:       https://github.com/mojohaus/keytool/archive/keytool-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(commons-lang:commons-lang)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.maven:maven-core)
BuildRequires: mvn(org.apache.maven:maven-plugin-api)
#BuildRequires: mvn(org.apache.maven.plugins:maven-invoker-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires: mvn(org.apache.maven.shared:maven-shared-utils)
BuildRequires: mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires: mvn(org.codehaus.mojo:mojo-parent:pom:)
BuildRequires: mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires: mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires: mvn(org.codehaus.plexus:plexus-container-default)

BuildArch:     noarch

%description
Project to invoke the the keytool program bundled with Java SDK.
Allows to manipulate keystores. the project includes a Java API to
invoke the program and also a maven plugin.

%package api
Summary:       Keytool: API

%description api
A component to assist in using keytool application.

%package api-1.7
Summary:       Keytool: API (JDK 1.7)

%description api-1.7
A component to assist in using keytool application.

%package maven-plugin
Summary:       A plugin that wraps the keytool program and allows to manipulate keystores
Provides:      keytool-maven-plugin = %{version}-%{release}
Obsoletes:     keytool-maven-plugin < 1.5

%description maven-plugin
A plugin that wraps the keytool program bundled with Java SDK.
It provides the capability to manipulate keys and keystores
with the goals "keytool:genkey" and "keytool:clean".

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n keytool-keytool-%{version}

%pom_remove_plugin -r :animal-sniffer-maven-plugin

# Not supported by keytool 1.8.0_77
%pom_disable_module keytool-api-1.5
%pom_disable_module keytool-api-1.6
%pom_xpath_remove "pom:profiles/pom:profile[pom:id = 'api-1.5']" keytool-maven-plugin
%pom_xpath_remove "pom:profiles/pom:profile[pom:id = 'api-1.6']" keytool-maven-plugin

# Use maven 3 apis only
%pom_xpath_set "pom:properties/pom:mavenVersion" 3.3.3
%pom_change_dep -r :maven-toolchain :maven-core:'${mavenVersion}'

# Use api-1.7 also for 1.8
%pom_xpath_remove "pom:profiles/pom:profile[pom:id = 'api-1.8']" keytool-maven-plugin
# @ random fails on koji builders
%pom_xpath_remove "pom:profiles/pom:profile[pom:id = 'run-its']" keytool-maven-plugin

# NoClassDefFoundError: org/apache/maven/toolchain/Toolchain
%pom_add_dep org.apache.maven:maven-core:'${mavenVersion}':test keytool-api-1.7

%pom_remove_plugin :plexus-maven-plugin keytool-api-test
%pom_add_plugin org.codehaus.plexus:plexus-component-metadata:1.6 keytool-api-test '
<executions>
  <execution>
    <goals>
      <goal>generate-metadata</goal>
    </goals>
  </execution>
</executions>'

%mvn_package :keytool-api-test __noinstall

%build
# Force profile to run test suite in api-1.7 module
%mvn_build -s -- -Papi-1.7

%install
%mvn_install

%files -f .mfiles-keytool
%license LICENSE.txt

%files api -f .mfiles-keytool-api
%license keytool-api/LICENSE.txt

%files api-1.7 -f .mfiles-keytool-api-1.7
%license keytool-api-1.7/LICENSE.txt

%files maven-plugin -f .mfiles-keytool-maven-plugin
%license keytool-maven-plugin/LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Apr 18 2016 gil cattaneo <puntogil@libero.it> 1.5-2
- review fixes:
   ° rename mojo-keytool
   ° add Provides/Obsoletes for old keytool-maven-plugin
   ° adjust summaries and descriptions
   ° remove sub package keytool-api-test

* Thu Apr 14 2016 gil cattaneo <puntogil@libero.it> 1.5-1
- initial rpm
